{% extends "base.html" %} {% load static %} {% block css %}
<style>
    #Lista_Prote_filter{
        display:none;
    }
</style> {% endblock css %} 
{% block title %}
<h1>Estado de Proyectos</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li>
        <a style="cursor: default; color: white;">Proyectos</a>
    </li>
    <li class="active">Estado de Proyectos</li>
</ol>
{% endblock title %}

{% block content %}
<div id="container" class="container-fluid row card">
    <a href="#" style="width:18%" class="btn btn-info btn_filter" valueid="Aceptado">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Aceptados</span>
                <h4 style="color:white" class="font-bold">{{ proj_aceptado }}</h4>
            </div>            
            <div class="col-xs-4 text-right">
                <i class="zmdi zmdi-check-circle zmdi-hc-5x"></i>
            </div>
        </div>
    </a>
    <a href="#" style="width:18%" class="btn btn-warning btn_filter" valueid="Pendiente">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Pendientes</span>
                <h4 style="color:white" class="font-bold">{{ proj_en_revision }}</h4>
            </div>            
            <div class="col-xs-4 text-right">
                <i class="zmdi zmdi-alert-triangle zmdi-hc-5x"></i>
            </div>
        </div>
    </a>
    <a href="#" style="width:18%" class="btn btn-success btn_filter" valueid="En Curso">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Activos</span>
                <h4 style="color:white" class="font-bold">{{ proj_en_curso }}</h4>
            </div>            
            <div class="col-xs-4 text-right">
                <i class="zmdi zmdi-accounts-alt zmdi-hc-5x"></i>
            </div>
        </div>
    </a>
    <a href="#" style="width:18%" class="btn btn-danger btn_filter" valueid="Rechazado">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Rechazados</span>
                <h4 style="color:white" class="font-bold">{{ proj_rechazado }}</h4>
            </div>            
            <div class="col-xs-4 text-right">
                <i class="zmdi zmdi-close-circle-o zmdi-hc-5x"></i>
            </div>
        </div>
    </a>
    <a href="#" style="width:18%" class="btn btn-primary btn_filter" valueid="">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Disponibles</span>
                <h4 style="color:white" class="font-bold">{{ cant_prop }}</h4>
            </div>            
            <div class="col-xs-4 text-right">
                <i class="zmdi zmdi-folder-person zmdi-hc-5x"></i>
            </div>
        </div>
    </a>
   
</div>

<div class="container-fluid row" >
    <div class="col-sm-12 col-md-12">
        <div class="card">
            <header class="card-heading card-blue text-center">
                <h2 class="card-title">Proyectos <span id="type_project"></span></h2>
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
            </header>
            <div class="card-body p-0">
                <table id="Lista_Prote" class="table m-t-30" cellspacing="0" style="width:100%;  ">
                    <thead>
                        <tr>
                            <th>Nombre proyecto</th>
                            <th>Profesor guía</th>
                            <th>Asignatura</th>
                            <th>Estado del proyecto</th>
                            <th>Alumnos</th>
                            <th>Fecha de creación</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                        <tr>
                            <td style="vertical-align: middle;">{{ project.name }}</td>
                            <td style="vertical-align: middle;">{{ project.guide_teacher.name }}</td>
                            <td style="vertical-align: middle;">{{ project.subject }}</td>
                            {% if project.status == "ER" %}
                            <td>
                                <span class="btn btn-warning btn-block">Pendiente</span>
                            </td>
                            {% elif project.status == "AC" %}
                            <td>
                                <span class="btn btn-info btn-block">Aceptado</span>
                            </td>
            
                            {% elif project.status == "RE" %}
                            <td>
                                <span class="btn btn-danger btn-block">Rechazado</span>
                            </td>
                            {% elif project.status == "EC" %}
                            <td>
                                <span class="btn btn-success btn-block">En Curso</span>
                            </td>
                            {% elif project.status == "RP" %}
                            <td>
                                <span class="btn btn-danger btn-block">Reprobado</span>
                            </td>
                            {% elif project.status == "AP" %}
                            <td>
                                <span class="btn btn-success btn-block">Aprobado</span>
                            </td>
                            {% elif project.status == "ED" %}
                            <td>
                                <span class="btn btn-warning btn-block">Esperando Docente</span>
                            </td>
                            {% endif %}
                            <td style="text-align: center; vertical-align: middle;">
                                {% if project.students != '' %}
                                {% for x in project.students %}
                                {{ x.name }} <br>
                                {% endfor %}
                                {% else %}
                                Sin alumnos
                                {% endif %}
                            </td>
                            <td style="text-align: center; vertical-align: middle;">{{ project.date | date:"d/m/Y" }}</td>
                            <td style="text-align: center; vertical-align: middle;">
                                <a href="{% url 'tesista_details' project.pk %}" class="btn btn-info btn-fab btn-fab-sm">
                                        <i class="zmdi zmdi-eye"></i>
                                </a>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    
</div>



{% endblock content %}

{% block javascript %}

<script>
    var table = $('#Lista_Prote').DataTable({
        "bLengthChange": false,
    });

    $('.btn_filter').on('click',function(){
        table
            .column(3)
            .search($(this).attr('valueid'))
            .draw();
    });


</script>

{% endblock javascript %}